<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core"
>

<h:head>
    <meta charset="UTF-8"/>
    <title>#{msgs['page.template.title']}</title>
    <h:outputStylesheet name="styles/style.css"></h:outputStylesheet>
</h:head>
<h:body>
    <b:container fluid="true">
        <b:navBar brand="TogethAir" brandHref="#" class="navbar">
            <b:navbarLinks>
                <b:navLink value="Home" href="index.xhtml"></b:navLink>
                <b:navLink value="Partners" href="#"></b:navLink>
                <b:navLink value="About us" href="#"></b:navLink>
            </b:navbarLinks>
            <c:choose>
                <c:when test="#{not currentUser.isLoggedIn()}">
                    <b:navbarLinks pull="right">
                        <b:navLink icon="glyphicon glyphicon-dashboard" value="DashBoard"
                                   href="dashboard.xhtml"></b:navLink>
                        <b:navLink href="login.xhtml" value="#{lg['buttons.logout']}" icon="log-out">
                        </b:navLink>
                    </b:navbarLinks>
                </c:when>
                <c:otherwise>
                    <b:navbarLinks pull="right" action="login.xhtml">
                        <b:navLink href="login.xhtml" value="#{lg['buttons.login']}" icon="log-in">
                        </b:navLink>
                    </b:navbarLinks>
                </c:otherwise>
            </c:choose>
            <!-- lang menu -->
            <b:navbarLinks pull="right">
                <b:navLink value="EN"
                           autoUpdate="true"
                           update="@(body>*)"
                           onclick="ajax:languageSwitcher.changeLanguage('en')"
                           styleClass="lang">
                </b:navLink>
                <b:navLink value="FR"
                           autoUpdate="true"
                           update="@(body>*)"
                           onclick="ajax:languageSwitcher.changeLanguage('fr')"
                           styleClass="lang">
                </b:navLink>
                <b:navLink value="NL"
                           autoUpdate="true" update="@(body>*)"

                           onclick="ajax:languageSwitcher.changeLanguage('nl')"
                           styleClass="lang">
                </b:navLink>

            </b:navbarLinks>

        </b:navBar>


        <div class="row">
            <div class="container">
                <ui:insert name="pageContent">
                    <h1>Page content</h1>
                    <p>This content should be replaced by the client page.</p>
                </ui:insert>
            </div>
        </div>

        <script>
            var $pageContent = $('body > div.container');
            $pageContent.hide();
            $(function() {
                $pageContent.fadeIn();
            });
        </script>

    </b:container>
</h:body>

</html>
